#!/bin/bash

if [[ -z $1 ]]; then
    echo "Specify the number of dirs to be mounted"
    exit 1
fi

if [[ ! -e CONSTANTS ]]; then
    echo "CONSTANTS file couldn't be found."
    exit 1
else
    source CONSTANTS
fi

NUM=$1

for i in `seq 0 $NUM`; do
    echo -n "Working on dir ${i} ..."
    mkdir "${CLIENT_BASE}/dir${i}"
    mount -t nfs -o rw,hard,intr,nodev,nosuid,exec "${SERVER}:${SERVER_BASE}/dir${i}" "${CLIENT_BASE}/dir${i}"
    echo "OK"
done
